[26101] in Source-Commits

home help back first fref pref prev next nref lref last post

/svn/athena r25390 - trunk/debathena/config/cupsys-config/debian

daemon@ATHENA.MIT.EDU (Jonathan D Reed)
Tue Aug 30 18:25:08 2011

Date: Tue, 30 Aug 2011 18:25:02 -0400
From: Jonathan D Reed <jdreed@MIT.EDU>
Message-Id: <201108302225.p7UMP2me018350@drugstore.mit.edu>
To: source-commits@mit.edu
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Author: jdreed
Date: 2011-08-30 18:25:02 -0400 (Tue, 30 Aug 2011)
New Revision: 25390

Modified:
   trunk/debathena/config/cupsys-config/debian/changelog
   trunk/debathena/config/cupsys-config/debian/configure-athena-printers
Log:
In cupsys-config:
  * Add the color printer


Modified: trunk/debathena/config/cupsys-config/debian/changelog
===================================================================
--- trunk/debathena/config/cupsys-config/debian/changelog	2011-08-29 15:01:23 UTC (rev 25389)
+++ trunk/debathena/config/cupsys-config/debian/changelog	2011-08-30 22:25:02 UTC (rev 25390)
@@ -1,3 +1,9 @@
+debathena-cupsys-config (1.17) unstable; urgency=low
+
+  * Add the color printer
+
+ -- Jonathan Reed <jdreed@mit.edu>  Tue, 30 Aug 2011 18:23:51 -0400
+
 debathena-cupsys-config (1.16) unstable; urgency=low
 
   * Set the new printer as default if there isn't already a default (Trac:

Modified: trunk/debathena/config/cupsys-config/debian/configure-athena-printers
===================================================================
--- trunk/debathena/config/cupsys-config/debian/configure-athena-printers	2011-08-29 15:01:23 UTC (rev 25389)
+++ trunk/debathena/config/cupsys-config/debian/configure-athena-printers	2011-08-30 22:25:02 UTC (rev 25390)
@@ -1,13 +1,14 @@
 #!/bin/sh
 
-PHAROS_PRINTERS="mitprint"
+PHAROS_BW_PRINTERS="mitprint"
+PHAROS_COLOR_PRINTERS="mitprint-color"
 ATHENA_PRINTERS=
 DEFAULT_PRINTER="mitprint"
 PRLIST="/var/lib/debathena-cupsys-config.added_printers"
 
 add_printers() {
     rm -f $PRLIST
-    for p in $PHAROS_PRINTERS; do
+    for p in $PHAROS_BW_PRINTERS; do
 	lpadmin -p $p -E -v lpd://mitprint.mit.edu/bw \
 	        -D "Pharos (Monochrome)" \
 	        -L "Release jobs from any Pharos printer" \
@@ -20,6 +21,19 @@
 	    echo "$p" >> $PRLIST
 	fi
     done
+    for p in $PHAROS_COLOR_PRINTERS; do
+	lpadmin -p $p -E -v lpd://mitprint.mit.edu/color \
+	        -D "Pharos (Color)" \
+	        -L "Release jobs from any Pharos Color printer" \
+	        -o printer-is-share=false \
+	        -m drv:///hpijs.drv/hp-color_laserjet_cp3525-hpijs-pcl3.ppd
+	if [ $? != 0 ]; then
+	    echo "FAILED to add Pharos printer $p"
+	else
+	    echo "Added Pharos printer $p"
+	    echo "$p" >> $PRLIST
+	fi
+    done
     for a in $ATHENA_PRINTERS; do
         # Don't clobber queue, this is -cluster
 	if add-athena-printer $a; then


home help back first fref pref prev next nref lref last post